org.jboss.resteasy.plugins.providers.multipart

## Class MultipartOutput

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartOutput

- Direct Known Subclasses:
    MultipartFormDataOutput, MultipartRelatedOutput

      public class MultipartOutput
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `boundary`
    `protected List<OutputPart>` | `parts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipartOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputPart` | `addPart(Object entity, Class<?> type, Type genericType, MediaType mediaType)`
    `OutputPart` | `addPart(Object entity, Class<?> type, Type genericType, MediaType mediaType, String filename)`
    `OutputPart` | `addPart(Object entity, GenericType<?> type, MediaType mediaType)`
    `OutputPart` | `addPart(Object entity, GenericType<?> type, MediaType mediaType, String filename)`
    `OutputPart` | `addPart(Object entity, MediaType mediaType)`
    `OutputPart` | `addPart(Object entity, MediaType mediaType, String filename)`
    `String` | `getBoundary()`
    `List<OutputPart>` | `getParts()`
    `void` | `setBoundary(String boundary)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parts

          protected List<OutputPart> parts

    - #### boundary

          protected String boundary

  - ### Constructor Detail

    - #### MultipartOutput

          public MultipartOutput()

  - ### Method Detail

    - #### addPart

          public OutputPart addPart(Object entity,
                           MediaType mediaType)

    - #### addPart

          public OutputPart addPart(Object entity,
                           MediaType mediaType,
                           String filename)

    - #### addPart

          public OutputPart addPart(Object entity,
                           GenericType<?> type,
                           MediaType mediaType)

    - #### addPart

          public OutputPart addPart(Object entity,
                           GenericType<?> type,
                           MediaType mediaType,
                           String filename)

    - #### addPart

          public OutputPart addPart(Object entity,
                           Class<?> type,
                           Type genericType,
                           MediaType mediaType)

    - #### addPart

          public OutputPart addPart(Object entity,
                           Class<?> type,
                           Type genericType,
                           MediaType mediaType,
                           String filename)

    - #### getParts

          public List<OutputPart> getParts()

    - #### getBoundary

          public String getBoundary()

    - #### setBoundary

          public void setBoundary(String boundary)

Copyright © 2014. All Rights Reserved.